//Pando Javascript API
//All rights reserved Pando Networks 2007
var PandoAPI = {

	_version: 'trunk',
	_build: '2007/12/20 12:47:33',
	_host: 'pando-tc3',
	_sendToWebBaseURL: 'http://services.pando.com/soapservices/SendToWeb',
	_packageBaseURL: 'http://cache.pando.com/soapservices/Package',
	
	_callbacks: {},
	_pandoCheckCallback: '',
	
	//returns the API version
	getVersion: function(){
		return PandoAPI._version;
	},

	// returns the package info
	getPackageInfo: function(packageId, callBackFunc, packageKey){
	
		PandoAPI._callbacks[packageId] = function(data){
			PandoAPI._callbacks[packageId] = null;
			callBackFunc(data);
		};
	
		var url = PandoAPI._sendToWebBaseURL + '?action=info&format=json&id='+packageId+'&jsAPI=yes';
		if (packageKey != null)
			url += '&key='+packageKey;
		document.write('<script src="'+url+'"></script>');
	},

	// returns a package URL
	getPackageURL: function(packageId, packageKey, gotPando){
		var url =  PandoAPI._packageBaseURL+'/Package.pando?id='+packageId;
		if (packageKey != null)
			url += '&key='+packageKey;
		if (gotPando)
			url += '&hasPando=yes';
		return url;
	},

	hasPando: function(callBackFunc){
		var url = PandoAPI._sendToWebBaseURL + '?action=pandoCheck&format=json&jsAPI=yes';
		PandoAPI._pandoCheckCallback = callBackFunc;
		document.write('<script src="'+url+'"></script>');
	},

	//friendly method
	toString: function(){
		return 'PandoAPI v'+PandoAPI._version;
	}
};

